​
Select Service
ves-io-schema-views-workload-API-List
Published April 5, 2023 | Last modified July 30, 2026
Examples of listing workload
Usecase:
List workload
Request using vesctl:
vesctl configuration list workload --namespace documentation
vesctl yaml response:
errors: []items:- annotations: {} labels: {} name: adservice namespace: documentation statusSet: [] tenant: acmecorp uid: 3ecfa27c-9015-45f9-a636-dd5842450f22Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1655461974_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/workloads'curl response
HTTP/1.1 200 OKContent-Length: 439Content-Type: application/jsonDate: Fri, 19 Jun 2026 22:14:41 GMTVary: Accept-EncodingX-Volterra-Response-Fields-Deprecated: items.#.get_spec.service.advertise_options.advertise_custom.ports.#.http_loadbalancer.specific_routes.routes.#.direct_response_route.route_direct_response.response_body,items.#.get_spec.service.advertise_options.advertise_on_public.multi_ports.ports.#.http_loadbalancer.specific_routes.routes.#.direct_response_route.route_direct_response.response_body,items.#.get_spec.service.advertise_options.advertise_on_public.port.http_loadbalancer.specific_routes.routes.#.direct_response_route.route_direct_response.response_body,items.#.get_spec.stateful_service.advertise_options.advertise_custom.ports.#.http_loadbalancer.specific_routes.routes.#.direct_response_route.route_direct_response.response_body,items.#.get_spec.stateful_service.advertise_options.advertise_on_public.multi_ports.ports.#.http_loadbalancer.specific_routes.routes.#.direct_response_route.route_direct_response.response_body,items.#.get_spec.stateful_service.advertise_options.advertise_on_public.port.http_loadbalancer.specific_routes.routes.#.direct_response_route.route_direct_response.response_body
{ "items": [ { "tenant": "acmecorp", "namespace": "documentation", "name": "adservice", "uid": "3ecfa27c-9015-45f9-a636-dd5842450f22", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] } ], "errors": [ ]}